FROM mcr.microsoft.com/dotnet/core/aspnet:2.1-stretch-slim AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/core/sdk:2.1-stretch AS build
WORKDIR /src
COPY ["apiapple.csproj", ""]
RUN dotnet restore "./apiapple.csproj"
COPY . .
WORKDIR "/src/."
RUN dotnet build "apiapple.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "apiapple.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "apiapple.dll"]